Subject: Re: [FAQ?] Rationale for git's way to manage the index

From: Steven Grimm <[email-masked]>
Date: Wed, 09 May 2007 19:27:40 -0700

Junio C Hamano wrote:
> I obviously agree with this.  As I said a few times I regret
> introducing "add -i" --- it encourages a wrong workflow, in that
> what you commit in steps never match what you had in the working
> tree and could have tested until the very end.
>   

On the other hand, not all changes require any testing at all. For 
example, if you're using git to manage documentation, it is totally 
reasonable to commit a fix for a simple spelling error in one part of a 
file while not committing an in-progress rewrite of another part.

-Steve